POST api/shops/{id}/countries
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | string |
None. |
Body Parameters
ShopCountryDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| Postage | decimal number |
None. |
|
| Package | decimal number |
None. |
|
| PaymentProvider | string |
None. |
|
| FulfillmentProvider | string |
None. |
|
| EmailProvider | string |
None. |
|
| SmsProvider | string |
None. |
|
| Shop | EntityDto |
None. |
|
| Country | EntityDto |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "5fc2e02d-c204-476d-91c0-20b832a5d404",
"postage": 1.0,
"package": 2.0,
"paymentProvider": "sample string 3",
"fulfillmentProvider": "sample string 4",
"emailProvider": "sample string 5",
"smsProvider": "sample string 6",
"shop": {
"id": "b89e23b2-fc65-4b94-a9d2-1b12102f1638",
"name": "sample string 2",
"type": "sample string 3"
},
"country": {
"id": "b89e23b2-fc65-4b94-a9d2-1b12102f1638",
"name": "sample string 2",
"type": "sample string 3"
}
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.